#
# functions
# basic analysis funtions for DWD time series 
# scale to other time step resolutions (assuming regular time series)
#-----------------------------------------------
#
# scale values based on regular time series
#
scaleTimeSeries <- function(time_series,scale_number,mean)
{
# new time series with new time step 
 number = length(time_series[,1]) /  scale_number
 scaled_time_series = matrix(NA,number,2)
# loop on new values
  for(i1 in 1:number)
  {
    sum = 0.
# loop on values to be combined
   for (j1 in 1:scale_number) sum = sum + time_series[(i1-1)*scale_number+j1,2]
# sum or mean value operation
    if(mean==TRUE)sum = sum/scale_number
# time and value 
    scaled_time_series[i1,1] = time_series[i1*scale_number,1]
    scaled_time_series[i1,2] = sum
  }
 return(scaled_time_series)
}



